// Copyright (c) 2012, Ladislav Thon. All rights reserved. Use of this source
// code is governed by a BSD-style license that can be found in the LICENSE file.

part of io_matchers;

class _LinkExists implements Matcher<Link> {
  bool matches(Link link) => link.existsSync();
  String get description => "be an existing link";
}

/// Every existing link matches.
Matcher<Link> linkExists() => new _LinkExists();
