// Copyright (c) 2012, Ladislav Thon. All rights reserved. Use of this source
// code is governed by a BSD-style license that can be found in the LICENSE file.

part of io_matchers;

class _DirectoryExists implements Matcher<Directory> {
  bool matches(Directory dir) => dir.existsSync();
  String get description => "be an existing directory";
}

/// Every existing directory matches.
Matcher<Directory> directoryExists() => new _DirectoryExists();
