// Copyright (c) 2012, Ladislav Thon. All rights reserved. Use of this source
// code is governed by a BSD-style license that can be found in the LICENSE file.

part of matchers;

class _Even implements Matcher<int> {
  bool matches(int value) => value % 2 == 0;
  String get description => "be even";
}

class _Odd implements Matcher<int> {
  bool matches(int value) => value % 2 != 0;
  String get description => "be odd";
}

/// Every even number matches.
Matcher<int> even() => new _Even();

/// Every odd number matches.
Matcher<int> odd() => new _Odd();
